<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/ini.php");
include_once("inclydings/zag.php");

$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {
include("inclydings/who.php");
$dir = opendir ("L2dbnam/esql2db/reg");
echo'<div id="menu6">';
echo "<b>Список Всех игроков</b><br/><br/>";

////////////////////////////////////////////////////////

$col="10";
$mmm=$col;

//////////////////////////////////////////////////////////////////////////////////////
if(empty($go)){$go="1";}
$dir=opendir("L2dbnam/esql2db/reg");
$n = "0";
while(($k=readdir($dir))!==false){
if ($k=='.'||$k=='..') continue;
$n++;

}
closedir($dir);
////////////////////
$num=($n/$col);
if ($num!==(int)$num){$foo = (int) $num;

$fo = ($foo + 1);}   else  {$fo=$num;}

for ($i="1"; $i<=$fo; $i++)

if ($go == "") {$c="0";}   else     {$c=($col*($go-1));}
///////////////////////


$dir = opendir ("L2dbnam/esql2db/reg");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != ".."))
{ $file= str_replace(".dat","",$file);

$file2= "$file";



$text = @file("L2dbnam/esql2db/reg/$file2.dat");
$udat = explode(":||:",$text[0]);
$hp=trim($udat[9]);


$la = $la + 1;
if($go=="1"){$col=round($mmm+1);}
if($la>$c-1 and $la<$c+$col){


if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1;
echo "<a href=\"search.php?$sd&nick=$file&amp;go=go\">$file</a> [Уровень - $hp]<br/>";
}}
}
closedir ($dir);

if ($go == "") {$c="0";}   else{$c=($col*($go-1));}
$lis = $go + 1;
$lis1 = $go - 1;
echo"<br/>";
if ($lis1 < "1") {} else{print "<a href=\"users.php?go=$lis1&$sd\">Назад</a> | ";}


if ($lis == "$i")  {} else { print "<a href=\"users.php?go=$lis&$sd\">Вперед</a>";}
echo "<form action=\"users.php?$random&".$sd."\" method=\"get\">";
echo"<br/>Всего игроков: $n.";
echo'</div>';
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}
////////////////////////////////////
require_once"inclydings/down.php";
////////////////////////////////////

?>